Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.torque.templates.typemapping
Enum ResultSetGetter

    java.lang.Object
      java.lang.Enum<ResultSetGetter>
          org.apache.torque.templates.typemapping.ResultSetGetter

All Implemented Interfaces:
  Serializable, Comparable<ResultSetGetter>

    public enum ResultSetGetter

extends Enum<ResultSetGetter>

All available result set getter methods. $Id: ResultSetGetter.java 1402631 2012-10-26 19:39:35Z tfischer $

Enum Constant Summary
`ARRAY` getArray Method.
`ASCII_STREAM` getAsciiStream Method.
`BIG_DECIMAL` getBigDecimal Method.
`BINARY_STREAM` getBinaryStream Method.
`BLOB` getBlob Method.
`BOOLEAN` getBoolean Method.
`BYTE` getByte Method.
`BYTES` getBytes Method.
`CHARACTER_STREAM` getCharacterStream Method.
`CLOB` getClob Method.
`DATE` getDate Method.
`DOUBLE` getDouble Method.
`FLOAT` getFloat Method.
`INT` getInt Method.
`LONG` getLong Method.
`OBJECT` getObject Method.
`REF` getRef Method.
`SHORT` getShort Method.
`STRING` getString Method.
`TIME` getTime Method.
`TIMESTAMP` getTimestamp Method.
`UNICODE_STREAM` getUnicodeStream Method.
`URL` getURL Method.

Method Summary
`static ResultSetGetter` | `getByMethodName(String methodName)` Retursn the ResultSetGetter with the given method name.
`String` | `getMethod()` Returns the method name.
`String` | `toString()` Returns the method name.
`static ResultSetGetter` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ResultSetGetter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ARRAY

    public static final ResultSetGetter ARRAY

  getArray Method.

### ASCII_STREAM

    public static final ResultSetGetter ASCII_STREAM

  getAsciiStream Method.

### BIG_DECIMAL

    public static final ResultSetGetter BIG_DECIMAL

  getBigDecimal Method.

### BINARY_STREAM

    public static final ResultSetGetter BINARY_STREAM

  getBinaryStream Method.

### BLOB

    public static final ResultSetGetter BLOB

  getBlob Method.

### BOOLEAN

    public static final ResultSetGetter BOOLEAN

  getBoolean Method.

### BYTE

    public static final ResultSetGetter BYTE

  getByte Method.

### BYTES

    public static final ResultSetGetter BYTES

  getBytes Method.

### CHARACTER_STREAM

    public static final ResultSetGetter CHARACTER_STREAM

  getCharacterStream Method.

### CLOB

    public static final ResultSetGetter CLOB

  getClob Method.

### DATE

    public static final ResultSetGetter DATE

  getDate Method.

### DOUBLE

    public static final ResultSetGetter DOUBLE

  getDouble Method.

### FLOAT

    public static final ResultSetGetter FLOAT

  getFloat Method.

### INT

    public static final ResultSetGetter INT

  getInt Method.

### LONG

    public static final ResultSetGetter LONG

  getLong Method.

### OBJECT

    public static final ResultSetGetter OBJECT

  getObject Method.

### REF

    public static final ResultSetGetter REF

  getRef Method.

### SHORT

    public static final ResultSetGetter SHORT

  getShort Method.

### STRING

    public static final ResultSetGetter STRING

  getString Method.

### TIME

    public static final ResultSetGetter TIME

  getTime Method.

### TIMESTAMP

    public static final ResultSetGetter TIMESTAMP

  getTimestamp Method.

### UNICODE_STREAM

    public static final ResultSetGetter UNICODE_STREAM

  getUnicodeStream Method.

### URL

    public static final ResultSetGetter URL

  getURL Method.

Method Detail

### values

    public static ResultSetGetter[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResultSetGetter c : ResultSetGetter.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResultSetGetter valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getMethod

    public String getMethod()

  Returns the method name.

  Returns:
    the method name, not null.

### toString

    public String toString()

  Returns the method name.

  Overrides:
    `toString` in class `Enum<ResultSetGetter>`
  Returns:
    the method name, not null.

### getByMethodName

    public static ResultSetGetter getByMethodName(String methodName)

  Retursn the ResultSetGetter with the given method name.

  Parameters:
    `methodName` - the method name.
  Returns:
    the matching ResultSetGetter, not null.
  Throws:
    `IllegalArgumentException` - if no matching ResultSetGetter exists.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.